$brand-primary: #3fad46 !default;

$brand-white: #fff;
$brand-black: #000;
$brand-darker: #444;
$brand-lighter: #e9e9e9;
$brand-bg-color: $brand-white;


// Mixin
@mixin transition($transition) {
    -moz-transition:    $transition ease-in;
    -o-transition:      $transition ease-in;
    -webkit-transition: $transition ease-in;
    -ms-transition: 	$transition ease-in;
    transition:         $transition ease-in;
}
@mixin inline-block() {
	display:-moz-inline-stack;
	display:inline-block;
	zoom:1;
	*display:inline;
}
@mixin flex() {
	display: -webkit-box;
	display: -webkit-flex;
	display: -moz-flex;
	display: -ms-flexbox;
	display: flex;
}
@mixin border-radius($radius) {
  -webkit-border-radius: $radius;
     -moz-border-radius: $radius;
      -ms-border-radius: $radius;
          border-radius: $radius;
}

// Import 
@import 'variables';




/* =======================================================
*
* 	Template Style 
*	Edit this section
*
* ======================================================= */

// Template Base
body {
	font-weight: 400;
	font-size: 16px;
	line-height: 1.8;
	color: lighten($brand-darker, 20%);
	color: #7f7f7f;
	background: $brand-bg-color;
	height: 100%;
	position: relative;
	
}
a {
	color: $brand-primary;
	@include transition(.5s);
	&:hover, &:active, &:focus {
		color: $brand-primary;
		outline: none;
	}
}
p {
	margin-bottom: 1.5em;
}

h1, h2, h3, h4, h5, h6 {
	color: $brand-black;
	font-weight: 400;
}

.jumbotron {
	background-size: cover;
	color: #ffffff;
	padding: 150px 0;
}

.jumbotron-primary {
	background-image: url('/images/jumbotron-bg.jpg');
}

#gt-header {
	background: rgba(255,255,255,0.7);
	background: -moz-linear-gradient(left, rgba(255,255,255,0.7) 0%, rgba(246,246,246,0.7) 0%, rgba(255,255,255,0.05) 100%);
	background: -webkit-gradient(left top, right top, color-stop(0%, rgba(255,255,255,0.7)), color-stop(0%, rgba(246,246,246,0.7)), color-stop(100%, rgba(255,255,255,0.05)));
	background: -webkit-linear-gradient(left, rgba(255,255,255,0.7) 0%, rgba(246,246,246,0.7) 0%, rgba(255,255,255,0.05) 100%);
	background: -o-linear-gradient(left, rgba(255,255,255,0.7) 0%, rgba(246,246,246,0.7) 0%, rgba(255,255,255,0.05) 100%);
	background: -ms-linear-gradient(left, rgba(255,255,255,0.7) 0%, rgba(246,246,246,0.7) 0%, rgba(255,255,255,0.05) 100%);
	background: linear-gradient(to right, rgba(255,255,255,0.7) 0%, rgba(246,246,246,0.7) 0%, rgba(255,255,255,0.05) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#ffffff', GradientType=1 );

	position: absolute;
	z-index: 99;
	width: 100%;
	opacity: 1;
	top: 0;
	margin-top: 20px;
	@media screen and (max-width: $screen-sm) {
		margin-top: 0;
		background: $brand-white;
		-webkit-box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		-moz-box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		-ms-box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		.navbar-brand {
			color: $brand-primary!important;
		}
		#navbar {
			li {
				a {
					color: rgba(0,0,0,.5)!important;
					@include transition(.3s);
					&:hover {
						color: $brand-primary!important;
					}
					span {
						&:before {
							background: transparent!important;
						}
					}
				}
				&.active {
					a {
						background: transparent;
						background: none;
						color: $brand-primary!important;
						span {
							&:before {
								visibility: visible;
								-webkit-transform: scaleX(1);
								transform: scaleX(1);
							}
						}
					}
				}
			}
		}
	}
	// padding-top: 15px;
	.navbar {
		padding-bottom: 0;
		margin-bottom: 0;

		li {
			a {
				color: rgba(255,255,255,.5);
				// color: #dadada;
				position: relative;
				span {
					position: relative;
					display: block;
					padding-bottom: 2px;
					&:before {
						content: "";
						position: absolute;
						width: 100%;
						height: 2px;
						bottom: 0;
						left: 0;
						background-color: $brand-primary;
						visibility: hidden;
						-webkit-transform: scaleX(0);
						-moz-transform: scaleX(0);
						-ms-transform: scaleX(0);
						-o-transform: scaleX(0);
						transform: scaleX(0);
						-webkit-transition: all 0.3s ease-in-out 0s;
						-moz-transition: all 0.3s ease-in-out 0s;
						-ms-transition: all 0.3s ease-in-out 0s;
						-o-transition: all 0.3s ease-in-out 0s;
						transition: all 0.3s ease-in-out 0s;
					}
				}
				&:hover {
					// color: $brand-primary;
					color: $brand-white;
					// color: rgba(255,255,255,1);
					span {
						&:before {
							visibility: visible;
							-webkit-transform: scaleX(1);
							-moz-transform: scaleX(1);
							-ms-transform: scaleX(1);
							-o-transform: scaleX(1);
							transform: scaleX(1);
						}
					}
				}

			}
			&.active {
				a {
					background: transparent;
					background: none;
					color: $brand-white;
					span {
						&:before {
							visibility: visible;
							-webkit-transform: scaleX(1);
							transform: scaleX(1);
						}
					}
				}
			}
		}
	}
	.navbar-brand {
		float: left;
		display: block;
		font-size: 30px;
		font-weight: 700;
		padding-left: 0;
		color: $brand-white;
		
	}
	&.navbar-fixed-top {
		position: fixed!important;
		background: $brand-white;
		-webkit-box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		-moz-box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		-ms-box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		margin-top: 0px;
		top: 0;
		.navbar-brand {
			color: $brand-primary;
		}
		li {
			a {
				color: rgba(0,0,0,.5);
				@include transition(.3s);
				&:hover {
					color: $brand-primary;
				}
			}
			&.active {
				a {
					background: transparent;
					background: none;
					color: $brand-primary;
					span {
						&:before {
							visibility: visible;
							-webkit-transform: scaleX(1);
							transform: scaleX(1);
						}
					}
				}
			}
		}
	}
	&.navbar-top {
		background: $brand-white;
		-webkit-box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		-moz-box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		-ms-box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		box-shadow: 0 0 9px 0 rgba(0,0,0,.1);
		margin-top: 0px;
		position: relative;
		.navbar-brand {
			color: $brand-primary;
		}
		li {
			a {
				color: rgba(0,0,0,.5);
				@include transition(.3s);
				&:hover {
					color: $brand-primary;
				}
			}
			&.active {
				a {
					background: transparent;
					background: none;
					color: $brand-primary;
					span {
						&:before {
							visibility: visible;
							-webkit-transform: scaleX(1);
							transform: scaleX(1);
						}
					}
				}
			}
		}
	}
	.navbar-default {
		border: transparent;
		background: transparent;
		@include border-radius(0px);
		
		// padding-right: 30px;
		// padding-left: 10px;

		@media screen and (max-width: $screen-sm) {
			margin-top: 0px;
			padding-right: 0px;
			padding-left: 0px;
		}
		

		.brand-slogan {
			margin: 28px 0 0 15px;
			float: left;
			letter-spacing: 2px;
			color: #adadad;
			em {
				color: $brand-primary;
				font-style: normal;
			}
		}
		
	}
	a {
		@include transition(.0s);
	}
}


.section-heading {
	float: left;
	width: 100%;
	padding-bottom: 50px;
	clear: both;
	h2 {
		font-size: 50px;
		font-weight: 300;
		// letter-spacing: 2px;
		color: #444;
		text-transform: uppercase;
		position: relative;
		display: block;
		padding-bottom: 20px;
		line-height: 1.5;
		&:after {
			content: "";
			position: absolute;
			display: block;
			width: 80px;
			height: 2px;
			background: $brand-primary;
			left: 50%;
			margin-left: -40px;
			bottom: 0;
		}
		@media screen and (max-width: $screen-sm) {
			font-size: 30px;
		}
	}
	h3 {
		font-weight: 300;
		line-height: 1.5;
		color: #929292;
		@media screen and (max-width: $screen-sm) {
			font-size: 24px!important;
			line-height: 34px;
		}
	}
}

#gt-features,
#gt-about-us,
#gt-testimonials,
#gt-pricing,
#gt-info {
	padding: 3em 0;
	@media screen and (max-width: $screen-xs) {
		padding: 2em 0;
	}
}
#gt-pricing {
	.price-box {
	    border: 2px solid #ECEEF0;
	    text-align: center;
	    padding: 30px;
	    margin-bottom: 40px;
	    position: relative;
	    &.popular {
	    	border: 2px solid $brand-primary;
	    	.popular-text {
	    		top: 0;
	    		left: 50%;
	    		margin-left: -54px;
	    		margin-top: -2em;
				position: absolute;
				padding: 4px 20px;
				background: $brand-primary;
				color: $brand-white;
				@include border-radius(4px);
				&:after {
				   content: "";
				   position: absolute;
				   top: 100%;
				   left: 50%;
				   margin-left: -10px;
				   border-top: 10px solid black;
				   border-top-color: $brand-primary; 
				   border-left: 10px solid transparent;
				   border-right: 10px solid transparent; 
				}
	    	}
	    }
	}
	.pricing-plan {
		margin: 0;
		padding: 0;
		font-size: 15px;
		letter-spacing: 2px;
		text-transform: uppercase;
		font-weight: 700;
	}
	.price {
		font-size: 50px;
		color: $brand-black;
		.currency {
			font-size: 20px;
			top: -1.2em;
		}
		small {
			font-size: 16px;
		}
	}
	.pricing-info {
		padding: 0;
		margin: 0 0 30px 0;
		li {
			padding: 0;
			margin: 0;
			list-style: none;
			text-align: center;
		}
	}
}

#gt-features,
#gt-info {
	background: #f4f4f4;
}
#gt-features {
	
	.box {
		// min-height: 360px;
		padding: 30px;
		background: $brand-white;
		text-align: center;
		color: #7f7f7f;
		margin-bottom: 70px;
		position: relative;
		@media screen and (max-width: $screen-md) {
			min-height: inherit;
			margin-bottom: 60px;
		}
		.icon {
			width: 85px;
			height: 85px;
			margin: 0 auto;
			top: 0;
			margin-top: -70px;
			margin-bottom: 30px;
			position: relative;
			@include border-radius(50%);
			display: table;
			text-align: center;
			> span {
				display: table-cell;
				vertical-align: middle;
				font-size: 40px;
				color: $brand-white!important;
				margin: 0;
				padding: 0;
			}
			&.colored-1 {
				background: #2aaf67;
			}
			&.colored-2 {
				background: #00bff3;
			}
			&.colored-3 {
				background: #f26522;
			}
			&.colored-4 {
				background: #e52b50;
			}
			&.colored-5 {
				background: #2fc5cc;
			}
			&.colored-6 {
				background: #6173f4;
			}
		}
		.step-number {
			font-size: 16px;
			display: block;
			color: #d1d1d1;
			letter-spacing: 2px;
			text-transform: uppercase;
			font-weight: 700;
			margin-bottom: 10px;
		}
		h3 {
			margin: 0 0 20px 0;
			padding: 0;
			font-weight: 400;
			font-size: 20px;
			color: $brand-darker;
		}
	}
}
#gt-info {
	.gt-press-item {
		background: $brand-white;
		float: left;
		margin-bottom: 30px;
		position: relative;
		overflow: hidden;
		@include flex;
		@include border-radius(4px);
		@media screen and (max-width: $screen-xs) {
			display: block!important;
		}
		.gt-press-text,
		.gt-press-img {
			width: 50%;
			@media screen and (max-width: $screen-xs) {
				height: inherit;
				float: none!important;
				width: 100%;
				display: block!important;
			}
		}
		.gt-press-text {
			float: left;
			padding: 20px;
			.gt-press-title {
		
				margin: 0 0 20px 0;
				padding: 0 0 10px 0;
				font-weight: 400;
				font-size: 20px;
				color: $brand-darker;
				position: relative;
				.gt-border {
					position: absolute;
					left: 0;
					bottom: 0;
					height: 2px;
					width: 30px;
					background: $brand-primary;
				}
			}
		}
		.gt-press-img {
			position: absolute;
			right: 0;
			bottom: 0;
			top: 0;
			background-size: cover;
			@media screen and (max-width: $screen-xs) {
				height: 200px;
				left: 0;
				top: 0;
				position: relative;
				width: 100%;
			}
		}
	}
}

#gt-footer {
	padding: 50px 0;
	color: #7f7f7f;
	// color: #d6d6d6;
	.copyright {
		margin-bottom: 0px;
		padding-bottom: 0;
	}
}

// Burger Menu
.gt-nav-toggle {
  border-bottom: none!important;
  cursor: pointer;
  display: none;
  margin: 0 auto;
  padding: 6px 0 0 0;
  position: absolute;
  text-decoration: none;
  top: 0;
  right: 0;
  z-index: 21;

  @media screen and (max-width: $screen-sm) {
  	display: block;
  }

  &:hover, &:focus, &:active {
  	outline: none;
  	border-bottom: none!important;
  }

  span {
    font-size: 25px;
  	height: 25px;
    padding: 6px 0 0;
  	width: 25px;
  }
}

.js .to-animate,
.js .to-animate-2,
.js .single-animate {
	opacity: 0;
}

.row-bottom-padded-sm {
	padding-bottom: 2em;
	@media screen and (max-width: $screen-sm ) {
		padding-bottom: 2em;
	}	
}
